Bug 1293045 - Review Request: fontopia - the console font editor
Review Request: fontopia - the console font editor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 11:00 EST by Mohammed Isam
Modified: 2016-02-26 01:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 01:57:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mohammed Isam 2015-12-19 11:00:37 EST
Spec URL: http://sites.google.com/site/mohammedisam2000/home/projects/fontopia.spec
SRPM URL: http://sites.google.com/site/mohammedisam2000/home/projects/fontopia-1.0-1.fc21.src.rpm
Description: Fontopia is an easy-to-use, text-based, console font editor. Fontopia is not only a conversion tool, it includes complete features to re-size and manipulate glyphs, edit font metrics and other meta-data. Unlike other console font tools, fontopia works on both PSF 1 & 2, CP and Raw fonts. Type conversion is as simple as changing font type in memory and saving it to disk in the other version. Fontopia allows exporting and importing of Unicode tables from external files or other fonts. It provides a user-friendly, easy-to-use glyph editor. It can easily change font metrics, e.g. length, width, height, etc. It performs basic glyph operations like inversion, flipping, setting/unsetting bits, and much more. Fontopia is the first dedicated text-based editor for console fonts.
Fedora Account System Username: mohammedisam
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-01-07 21:53:13 EST
You could use %make_build instead of 'make %{?_smp_flags}' and %make_install instead of 'make install ...'.

Use https in the URL and Source0 links.

License file COPYING is marked as %doc instead of %license
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

fontopia.src: W: file-size-mismatch fontopia-1.0.tar.gz = 424272, http://sites.google.com/site/mohammedisam2000/home/projects/fontopia-1.0.tar.gz = 416640
Comment 2 Mohammed Isam 2016-01-08 13:17:52 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)

Fixed spec file as above.. Please Check the new version

Spec URL: http://sites.google.com/site/mohammedisam2000/home/projects/fontopia.spec
SRPM URL: http://sites.google.com/site/mohammedisam2000/home/projects/fontopia-1.0-2.fc23.src.rpm
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-01-08 14:17:39 EST
+ license is OK (GPLv3+)
+ license file is present, %license is used
+ latest version
+ builds and install OK
+ scriptlets match guidelines
+ standard macros are used

You could %exlude %{_pkgdocdir}/COPYING to avoid duplicated file (and a warning from rpmlint).

Unfortunately you violate one significant guideline: the package uses stuff packaged as %doc at runtime. When installed with --exludedocs, internal help is missing and other things are broken too.
Comment 4 Mohammed Isam 2016-01-09 12:10:26 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)

> You could %exlude %{_pkgdocdir}/COPYING to avoid duplicated file (and a
> warning from rpmlint).
Fixed.
 
> Unfortunately you violate one significant guideline: the package uses stuff
> packaged as %doc at runtime. When installed with --exludedocs, internal help
> is missing and other things are broken too.
Yes, it is a real mess. I moved all the mentioned files into the main executable itself. Yes, it is bigger (much bigger) but at least it is standalone and eliminates this problem. I hope.

Spec URL: http://sites.google.com/site/mohammedisam2000/home/projects/fontopia.spec
SRPM URL: http://sites.google.com/site/mohammedisam2000/home/projects/fontopia-1.1-1.fc23.src.rpm
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-01-09 12:21:03 EST
%{_docdir}/fontopia is actually %{_pkgdocdir}.

%exclude %{_docdir}/COPYING is not going to work, you need %exclude %{_pkgdocdir}/COPYING.

rpmlint:
fontopia.src: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
fontopia.src: W: spelling-error %description -l en_US unsetting -> insetting, unsettling, unseating
fontopia.x86_64: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
fontopia.x86_64: W: spelling-error %description -l en_US unsetting -> insetting, unsettling, unseating
All OK.

Package is APPROVED.
Comment 6 Mohammed Isam 2016-01-10 12:45:42 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> %{_docdir}/fontopia is actually %{_pkgdocdir}.
> %exclude %{_docdir}/COPYING is not going to work, you need %exclude
> %{_pkgdocdir}/COPYING.

Fixed.

> rpmlint:
> fontopia.x86_64: W: spelling-error %description -l en_US glyphs -> glyph,
> glyph s
> fontopia.x86_64: W: spelling-error %description -l en_US unsetting ->
> insetting, unsettling, unseating

Harmless spelling mistakes I think right.

> Package is APPROVED.
Great!

Spec URL: http://sites.google.com/site/mohammedisam2000/home/projects/fontopia.spec
SRPM URL: http://sites.google.com/site/mohammedisam2000/home/projects/fontopia-1.1-2.fc23.src.rpm
Comment 7 Gwyn Ciesla 2016-01-11 14:27:02 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/fontopia
Comment 8 Fedora Update System 2016-01-11 15:44:31 EST
fontopia-1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca75e185d5
Comment 9 Fedora Update System 2016-01-11 15:53:19 EST
fontopia-1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1742894a43
Comment 10 Fedora Update System 2016-01-12 04:52:36 EST
fontopia-1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca75e185d5
Comment 11 Fedora Update System 2016-01-12 04:53:57 EST
fontopia-1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1742894a43
Comment 12 Fedora Update System 2016-01-20 16:55:15 EST
fontopia-1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-01-20 23:48:30 EST
fontopia-1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-01-27 00:58:19 EST
fontopia-1.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-32cedeb2f6
Comment 15 Fedora Update System 2016-01-28 15:49:34 EST
fontopia-1.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-32cedeb2f6
Comment 16 Fedora Update System 2016-02-26 01:57:40 EST
fontopia-1.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.